#!/bin/bash

csr_file="$1"
config_file="$2"
file_name="$3"

echo " ** Fichier CSR : ${csr_file}"
echo " ** Fichier CNF : ${config_file}"
echo " ** Fichier : ${file_name}"

file_name=$(basename "${file_name}" .csr)

ca_cer_path="/etc/ssl/CA/ca.crt"
ca_key_path="/etc/ssl/CA/ca.key"

signed_cert_path="/var/www/html/certs/${file_name}.crt"
path="/var/www/html/"

passphrase="@z3rty"

echo " *** Start"

openssl x509 -req -in "${csr_file}" -CA "${ca_cer_path}" -CAkey "${ca_key_path}" -out "${signed_cert_path}" -days 365 -extfile "${config_file}" -extensions v3_req -passin pass:"${passphrase}"

echo " *** End ${signed_cert_path}"

sleep 5

chown -R www-data:www-data /var/www/html/*
